function [X Y classLab classLabGT] = getTrainingData(nPts, numClasses, imName)

im1 = fliplr(rgb2gray(imread(imName)));
im1(im1< 50) = 0;
im1(im1> 50 & im1 < 200) = 2;
im1(im1> 200) = 1;


X = rand(nPts,2);
X(:,1) = X(:,1)*size(im1,1);
X(:,2) = X(:,2)*size(im1,2);
X = ceil(X);


ind = sub2ind(size(im1), X(:,2), X(:,1));
classLabGT = im1(ind);
Y = zeros(size(X,1), numClasses);
Y(classLabGT==0,1) = 1;
Y(classLabGT==1,2) = 1;
Y(classLabGT==2,:) = 0.5 + rand(size(Y(classLabGT==2,:)))*0.1;
Y = Y./repmat(sum(Y,2),1,2);

X(:,1) = X(:,1)/size(im1,1);
X(:,2) = X(:,2)/size(im1,2);

[maxVal classLab] = max(Y,[],2);
classLab = classLab-1;