function [Xt X] = create2DTestData( X, imSize )

imSize = imSize -1;
bbTrain = [min(X(:,1)) max(X(:,1)) min(X(:,2)) max(X(:,2))];
xPad = 0;%(bbTrain(2) - bbTrain(1))*padP;
yPad = 0;%(bbTrain(4) - bbTrain(3))*padP;
bbTest = [min(X(:,1))-xPad max(X(:,1))+xPad min(X(:,2))-yPad max(X(:,2))+yPad];

xTest = [bbTest(1):(bbTest(2)-bbTest(1))/imSize(1):bbTest(2)];
yTest = [bbTest(3):(bbTest(4)-bbTest(3))/imSize(2):bbTest(4)];
yTest = yTest(end:-1:1);

xDim = repmat(xTest,size(yTest,2),1);
yDim = repmat(yTest',1,size(xTest,2));

% test
Xt = [xDim(:) yDim(:)];

% rescale training
X(:,1) = X(:,1) - min(X(:,1));
X(:,2) = X(:,2) - min(X(:,2));
X(:,1) = X(:,1)./max(X(:,1)); 
X(:,2) = X(:,2)./max(X(:,2)); 

X(:,1) = 1 + X(:,1)*imSize(1);
X(:,2) = 1 + X(:,2)*imSize(2);